//  PickerViewItemViewController.m
//  PickerViewItem
//  Created by Deepak Kumar on 06/10/09.
//  Copyright Rose India 2009. All rights reserved.

#import "PickerViewItemViewController.h"

@implementation PickerViewItemViewController
@synthesize picker, toolbar, marray ;

- (void)dealloc
{	
    [toolbar release];
	[marray release];
	[picker release];
	[super dealloc];
}

- (void)createToolbarItems
{	
	// create the system-defined "OK or Done" button
    UIBarButtonItem *systemItem = [[UIBarButtonItem alloc]
								   initWithBarButtonSystemItem:mItem
								   target:self action:@selector(action:)];

	NSArray *items = [NSArray arrayWithObjects: systemItem,  nil];
	[self.toolbar setItems:items animated:NO];
	[systemItem release];
}

- (void)viewDidUnload
{
	[super viewDidUnload];
	// release and set to nil
	self.marray = nil;
	self.toolbar = nil;
}

- (void)viewDidLoad
{
	[super viewDidLoad];
	// this list appears in the UIPickerView to pick the system's UIBarButtonItem
	self.marray = [NSArray arrayWithObjects:
							@"Done",@"Cancel",@"Edit",@"Save",@"Add",@"FlexibleSpace",@"FixedSpace",@"Compose",@"Reply",
                            @"Action",@"Organize",@"Bookmarks",@"Search",@"Refresh",@"Stop",@"Camera",@"Trash",@"Play",
                            @"Pause",@"Rewind",@"FastForward",@"Undo",@"Redo",nil];
	
	self.title = NSLocalizedString(@"Picker Object On Toolbar", @"");
	
	// create the UIToolbar at the bottom of the view controller
	toolbar = [UIToolbar new];
	toolbar.barStyle = UIBarStyleBlackTranslucent;

	// size up the toolbar and set its frame
	[toolbar sizeToFit];
	CGFloat toolbarHeight = [toolbar frame].size.height;
	CGRect mainViewBounds = self.view.bounds;
	[toolbar setFrame:CGRectMake(CGRectGetMinX(mainViewBounds),
								 CGRectGetMinY(mainViewBounds) + CGRectGetHeight(mainViewBounds) - (toolbarHeight * 2.0) + 2.0,
								 CGRectGetWidth(mainViewBounds),
								 toolbarHeight)];
	[self.view addSubview:toolbar];
	[self createToolbarItems];
}

- (void)action:(id)sender
{
	 NSLog(@" Stop Doing ");
}

#pragma mark UIPickerViewDelegate
- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
	// change the left most bar item to what's in the picker
	mItem = [pickerView selectedRowInComponent:0];
	[self createToolbarItems];	// this will re-create all the items
}

#pragma mark UIPickerViewDataSource
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
	return [marray objectAtIndex:row];
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
	return [marray count];
}

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
	return 1;
}

@end
